org.eclipse.emf.cdo.expressions

## Interface StringValue

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Expression, Notifier, Value
  All Known Implementing Classes:
    StringValueImpl

      public interface StringValue
      extends Value

  A representation of the model object 'String Value'.

  The following features are supported:

  - `Literal`
  See Also:
    `ExpressionsPackage.getStringValue()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLiteral()` Returns the value of the 'Literal' attribute.
    `void` | `setLiteral(java.lang.String value)` Sets the value of the '`Literal`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLiteral

          java.lang.String getLiteral()

      Returns the value of the 'Literal' attribute.

      If the meaning of the 'Literal' attribute isn't clear, there really should be more of a description here...

      Specified by:
        `getLiteral` in interface `Value`
      Returns:
        the value of the 'Literal' attribute.
      See Also:
        `setLiteral(String)`, `ExpressionsPackage.getStringValue_Literal()`
      Generated
      Model

    - #### setLiteral

          void setLiteral(java.lang.String value)

      Sets the value of the '`Literal`' attribute.
      Parameters:
        `value` - the new value of the 'Literal' attribute.
      See Also:
        `getLiteral()`
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html